using Microsoft.TeamFoundation.Build.Client;
using Microsoft.TeamFoundation.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Benday.ComposedBuild.Core
{
    public class BuildInfo
    {
        /// <summary>
        /// Initializes a new instance of the BuildInfo class.
        /// </summary>
        public BuildInfo(string buildNumber, string buildName, string dropLocation)
        {
            if (String.IsNullOrEmpty(buildNumber))
                throw new ArgumentException("buildNumber is null or empty.", "buildNumber");
            if (String.IsNullOrEmpty(buildName))
                throw new ArgumentException("buildName is null or empty.", "buildName");
            if (String.IsNullOrEmpty(dropLocation))
                throw new ArgumentException("dropLocation is null or empty.", "dropLocation");

            BuildNumber = buildNumber;
            BuildName = buildName;
            DropLocation = dropLocation;
        }
        
        public string BuildNumber { get; private set; }
        public string BuildName { get; private set; }
        public string DropLocation { get; private set; }
    }
}
