using Microsoft.TeamFoundation.Build.Client;
using Microsoft.TeamFoundation.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace Benday.ComposedBuild.Core
{
    public class ComposedBuildConfiguration
    {
        public ComposedBuildConfiguration(string xml)
        {
            if (String.IsNullOrEmpty(xml))
                throw new ArgumentException("xml is null or empty.", "xml");

            _Document = XDocument.Parse(xml);

            Initialize();
        }

        private XDocument _Document;
        public XDocument Document
        {
            get { return _Document; }
        }
        private void Initialize()
        {
            var downloadElements = Document.Root.Elements("build-output");

            foreach (var item in downloadElements)
            {
                Downloads.Add(new BuildOutput(item));
            }
        }

        private List<BuildOutput> _Downloads;
        public List<BuildOutput> Downloads
        {
            get
            {
                if (_Downloads == null)
                {
                    _Downloads = new List<BuildOutput>();
                }

                return _Downloads;
            }
        }
    }
}