using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Benday.ComposedBuild.Core;
using System.Collections.Generic;
using System.IO;

namespace Benday.ComposedBuild.Tests
{
    [TestClass]
    public class ComposedBuildConfigurationFixture : UnitTestBase
    {
        [TestInitialize]
        public void OnTestInitialize()
        {
            _SystemUnderTest = null; 
        }

        private ComposedBuildConfiguration _SystemUnderTest;
        public ComposedBuildConfiguration SystemUnderTest
        {
            get
            {
                if (_SystemUnderTest == null)
                {
                    _SystemUnderTest = new ComposedBuildConfiguration(
                        File.ReadAllText(
                            @"C:\code\Repos\misc-201312\Benday.ComposedBuild\build-output-config.xml")
                        );
                }

                return _SystemUnderTest;
            }
        }

        [TestMethod]
        public void BuildOutputDownloadsCollectionIsPopulated()
        {
            Assert.IsNotNull(SystemUnderTest.Downloads, "Downloads collection was null.");
            Assert.AreEqual<int>(3, SystemUnderTest.Downloads.Count, "Download count was wrong.");            
        }
    }
}
